#
#       Makefile for grph1/append
#

ROOTDIR = ../../..

LIBOBJS	= u2d1.exe  u2d2.exe   u2d3.exe  u2d4.exe
EPSFILES	= u2d1_0001.eps u2d2_0001.eps u2d3_0001.eps  u2d4_0001.eps

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=build-exec

build-exec: mkobj $(EPSFILES) rmobj

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win  subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

u2d1_0001.eps:
	echo 2 | u2d1.exe -sw_ifl=2 -sw_fname=u2d1

u2d2_0001.eps:
	echo 2 | u2d2.exe -sw_ifl=2 -sw_fname=u2d2

u2d3_0001.eps:
	echo 2 | u2d3.exe -sw_ifl=2 -sw_fname=u2d3

u2d4_0001.eps:
	echo 2 | u2d4.exe -sw_ifl=2 -sw_fname=u2d4
